{
  "Client":[
    {
      "id":"Client_69d3027cf5ae36b9e2b18cc9cfd9f0fe",
      "owner":"andrea",
      "name":"fake-openid",
      "link":"rest/modules/oauthv2/setups/Setup_b00528a7a0edc1df1a6b95240d704600/entities/Client_69d3027cf5ae36b9e2b18cc9cfd9f0fe",
      "meta":[
        {
          "name":"klp_application",
          "value":"fakemobileoauth"
        }
      ],
      "otherAttributes":{
        "client_name#de":"Fake OpenID de",
        "client_name#fr":"Fake OpenID fr",
        "client_name#it":"Fake OpenID it",
        "client_name":"Fake OpenID en"
      },
      "scopes":[
        {
          "value":"MONITOR",
          "resource_id":"ResourceServer_ea7d36ec2adb5857de7dda7cbbbbbbd8",
          "resource_name":"MONITORING-AGB"
        },
        {
          "value":"address",
          "resource_id":"ResourceServer_561f4822c98d39267d95d3d62502e70f",
          "resource_name":"UserInfo"
        },
        {
          "value":"birthdate",
          "resource_id":"ResourceServer_561f4822c98d39267d95d3d62502e70f",
          "resource_name":"UserInfo"
        },
        {
          "value":"email",
          "resource_id":"ResourceServer_561f4822c98d39267d95d3d62502e70f",
          "resource_name":"UserInfo"
        },
        {
          "value":"name",
          "resource_id":"ResourceServer_561f4822c98d39267d95d3d62502e70f",
          "resource_name":"UserInfo"
        },
        {
          "value":"no_consent_required",
          "resource_id":"ResourceServer_561f4822c98d39267d95d3d62502e70f",
          "resource_name":"UserInfo"
        },
        {
          "value":"offline_access",
          "resource_id":"ResourceServer_561f4822c98d39267d95d3d62502e70f",
          "resource_name":"UserInfo"
        },
        {
          "value":"openid",
          "resource_id":"ResourceServer_561f4822c98d39267d95d3d62502e70f",
          "resource_name":"UserInfo"
        },
        {
          "value":"phone",
          "resource_id":"ResourceServer_561f4822c98d39267d95d3d62502e70f",
          "resource_name":"UserInfo"
        },
        {
          "value":"phone_number",
          "resource_id":"ResourceServer_561f4822c98d39267d95d3d62502e70f",
          "resource_name":"UserInfo"
        },
        {
          "value":"profile",
          "resource_id":"ResourceServer_561f4822c98d39267d95d3d62502e70f",
          "resource_name":"UserInfo"
        }
      ],
      "contacts":[
        "br, g, o, io"
      ],
      "valid_from":"2023-10-04T12:58:16.000Z",
      "redirect_uris":[
        "http://vkld02.pnet.ch:7024/obtainingTokens",
        "https://fakeextint1.post.ch/openid/obtainingTokens"
      ],
      "response_types":[
        "code"
      ],
      "grant_types":[
        "authorization_code",
        "refresh_token"
      ],
      "client_id":"fake-openid",
      "client_secret":"fake-openid-secret",
      "client_uri":"https://iam.post.ch",
      "default_max_age":-1,
      "confidentiality_type":"confidential",
      "pkce_mode":"allowed",
      "require_auth_time":false,
      "token_endpoint_auth_method":"client_secret_basic",
      "jwks_uri":"",
      "logo_uri":"/login/resources/nevislogrend/applications/def/webdata/images/openid_connect.png",
      "access_token_ttl":30,
      "id_token_ttl":600,
      "refresh_token_ttl":86400,
      "presisted_consent_ttl":31104000,
      "force_authentication":false,
      "require_pushed_authorization_requests":false,
      "id_token_signed_response_alg":"RS256",
      "id_token_encrypted_response_alg":"none",
      "id_token_encrypted_response_enc":"none"
    },
    {
        "id":"Client_69d3027cf5ae36b9e2b18cc9cfd9f0fd",
        "owner":"pippo",
        "name":"COSSA - Monitoring Client",
        "link":"rest/modules/oauthv2/setups/Setup_b00528a7a0edc1df1a6b95240d704600/entities/Client_69d3027cf5ae36b9e2b18cc9cfd9f0fd",
        "meta":[
          {
            "name":"klp_application",
            "value":"cossa"
          },
          {
            "name":"test_monitor_meta",
            "value":"aaa"
          },
          {
            "name":"Shop_DebiNr",
            "value":"11111111111"
          }
        ],
        "otherAttributes":{
          "client_name#de":"Fake OpenID de",
          "client_name#fr":"Fake OpenID fr",
          "client_name#it":"Fake OpenID it",
          "client_name":"Fake OpenID en"
        },
        "scopes":[
          {
            "value":"MONITOR",
            "resource_id":"ResourceServer_ea7d36ec2adb5857de7dda7cbbbbbbd8",
            "resource_name":"MONITORING-AGB"
          },
          {
            "value":"address",
            "resource_id":"ResourceServer_561f4822c98d39267d95d3d62502e70f",
            "resource_name":"UserInfo"
          },
          {
            "value":"birthdate",
            "resource_id":"ResourceServer_561f4822c98d39267d95d3d62502e70f",
            "resource_name":"UserInfo"
          },
          {
            "value":"email",
            "resource_id":"ResourceServer_561f4822c98d39267d95d3d62502e70f",
            "resource_name":"UserInfo"
          },
          {
            "value":"name",
            "resource_id":"ResourceServer_561f4822c98d39267d95d3d62502e70f",
            "resource_name":"UserInfo"
          },
          {
            "value":"no_consent_required",
            "resource_id":"ResourceServer_561f4822c98d39267d95d3d62502e70f",
            "resource_name":"UserInfo"
          },
          {
            "value":"offline_access",
            "resource_id":"ResourceServer_561f4822c98d39267d95d3d62502e70f",
            "resource_name":"UserInfo"
          },
          {
            "value":"openid",
            "resource_id":"ResourceServer_561f4822c98d39267d95d3d62502e70f",
            "resource_name":"UserInfo"
          },
          {
            "value":"phone",
            "resource_id":"ResourceServer_561f4822c98d39267d95d3d62502e70f",
            "resource_name":"UserInfo"
          },
          {
            "value":"phone_number",
            "resource_id":"ResourceServer_561f4822c98d39267d95d3d62502e70f",
            "resource_name":"UserInfo"
          },
          {
            "value":"profile",
            "resource_id":"ResourceServer_561f4822c98d39267d95d3d62502e70f",
            "resource_name":"UserInfo"
          }
        ],
        "contacts":[
          "pippo"
        ],
        "valid_from":"2023-10-04T12:58:16.000Z",
        "redirect_uris":[
          "http://iam.post.ch/monitoring/cossa",
          "https://iam.post.ch/monitoring/back",
          "https://test.post.ch/pippo/back"
        ],
        "response_types":[
          "code"
        ],
        "grant_types":[
          "authorization_code",
          "client_credentials",
          "refresh_token"
        ],
        "client_id":"14c3890f8d8f4da3efdd61d29f24caa3",
        "client_secret":"e6678df835d5e1a6b45f4acbe3467ec2",
        "client_uri":"https://iam.post.ch",
        "default_max_age":-1,
        "confidentiality_type":"confidential",
        "pkce_mode":"allowed",
        "require_auth_time":false,
        "token_endpoint_auth_method":"client_secret_basic",
        "jwks_uri":"",
        "logo_uri":"/login/resources/nevislogrend/applications/def/webdata/images/openid_connect.png",
        "access_token_ttl":30,
        "id_token_ttl":600,
        "refresh_token_ttl":86400,
        "presisted_consent_ttl":31104000,
        "force_authentication":false,
        "require_pushed_authorization_requests":false,
        "id_token_signed_response_alg":"RS256",
        "id_token_encrypted_response_alg":"none",
        "id_token_encrypted_response_enc":"none"
      }
  ],
  "ResourceServer":[
    {
      "id":"ResourceServer_561f4822c98d39267d95d3d62502e70f",
      "owner":"oly",
      "name":"UserInfo",
      "link":"rest/modules/oauthv2/setups/Setup_b00528a7a0edc1df1a6b95240d704600/entities/ResourceServer_561f4822c98d39267d95d3d62502e70f",
      "meta":[

      ],
      "otherAttributes":{

      },
      "scope":[
        {
          "value":"address",
          "otherAttributes":{
            "scope_name#fr":"Adresse",
            "scope_name#it":"Indirizzo",
            "scope_name#de":"Addresse",
            "scope_description":"http://openid.com",
            "scope_name#en":"Address"
          },
          "implicit_grant_policy":"disallowed",
          "authorization_grant_policy":"consent_persisted",
          "refresh_token_grant_policy":"no_consent_required",
          "authentication_required":false
        },
        {
          "value":"birthdate",
          "otherAttributes":{
            "scope_name#fr":"Anniversaire",
            "scope_name#it":"Data di nascita",
            "scope_name#de":"Geburtstag",
            "scope_name#en":"Birthday"
          },
          "implicit_grant_policy":"disallowed",
          "authorization_grant_policy":"consent_persisted",
          "refresh_token_grant_policy":"no_consent_required",
          "authentication_required":false
        },
        {
          "value":"email",
          "otherAttributes":{
            "scope_name#fr":"Adresse e-mail",
            "scope_name#it":"E-Mail",
            "scope_name#de":"E-Mail",
            "scope_description":"http://openid.com",
            "scope_name#en":"E-mail address"
          },
          "implicit_grant_policy":"disallowed",
          "authorization_grant_policy":"consent_persisted",
          "refresh_token_grant_policy":"no_consent_required",
          "authentication_required":false
        },
        {
          "value":"name",
          "otherAttributes":{
            "scope_name#fr":"Nom, Pr&eacute;nom",
            "scope_name#it":"Cognome, Nome",
            "scope_name#de":"Name, Vorname",
            "scope_description":"Name",
            "scope_name#en":"Last name, First name"
          },
          "implicit_grant_policy":"disallowed",
          "authorization_grant_policy":"consent_persisted",
          "refresh_token_grant_policy":"no_consent_required",
          "authentication_required":false
        },
        {
          "value":"no_consent_required",
          "otherAttributes":{

          },
          "implicit_grant_policy":"disallowed",
          "authorization_grant_policy":"no_consent_required",
          "refresh_token_grant_policy":"no_consent_required",
          "authentication_required":false
        },
        {
          "value":"offline_access",
          "otherAttributes":{

          },
          "implicit_grant_policy":"disallowed",
          "authorization_grant_policy":"no_consent_required",
          "refresh_token_grant_policy":"no_consent_required",
          "authentication_required":false
        },
        {
          "value":"openid",
          "otherAttributes":{

          },
          "implicit_grant_policy":"disallowed",
          "authorization_grant_policy":"consent_persisted",
          "refresh_token_grant_policy":"no_consent_required",
          "authentication_required":false
        },
        {
          "value":"phone",
          "otherAttributes":{
            "scope_name#fr":"Num&eacute;ro de telefone",
            "scope_name#it":"Numero di telefono",
            "scope_name#de":"Telefonnummer",
            "scope_description":"User Phone number",
            "scope_name#en":"Phone number"
          },
          "implicit_grant_policy":"disallowed",
          "authorization_grant_policy":"consent_persisted",
          "refresh_token_grant_policy":"no_consent_required",
          "authentication_required":false
        },
        {
          "value":"phone_number",
          "otherAttributes":{
            "scope_name#fr":"Num&eacute;ro de mobile",
            "scope_name#it":"Numero di cellulare",
            "scope_name#de":"Mobiltelefonnummer",
            "scope_description":"User Phone number",
            "scope_name#en":"Mobile phone number"
          },
          "implicit_grant_policy":"disallowed",
          "authorization_grant_policy":"consent_persisted",
          "refresh_token_grant_policy":"no_consent_required",
          "authentication_required":false
        },
        {
          "value":"profile",
          "otherAttributes":{
            "scope_name#fr":"Nom, Pr&eacute;nom",
            "scope_name#it":"Cognome, Nome",
            "scope_name#de":"Name, Vorname",
            "scope_description":"http://openid.com",
            "scope_name#en":"Last name, First name"
          },
          "implicit_grant_policy":"disallowed",
          "authorization_grant_policy":"consent_persisted",
          "refresh_token_grant_policy":"no_consent_required",
          "authentication_required":false
        }
      ],
      "valid_from":"2023-10-04T12:51:06.000Z",
      "url":"https://apidev.pnet.ch/UserInfo"
    },
    {
      "id":"ResourceServer_ea7d36ec2adb5857de7dda7cbbbbbbd8",
      "owner":"oly",
      "name":"MONITORING-AGB",
      "link":"rest/modules/oauthv2/setups/Setup_b00528a7a0edc1df1a6b95240d704600/entities/ResourceServer_ea7d36ec2adb5857de7dda7cbbbbbbd8",
      "meta":[

      ],
      "otherAttributes":{

      },
      "scope":[
        {
          "value":"MONITOR",
          "otherAttributes":{
            "scope_description":"Monitoring platform test",
            "scope_name":"Monitoring platform test"
          },
          "implicit_grant_policy":"no_consent_required",
          "authorization_grant_policy":"no_consent_required",
          "refresh_token_grant_policy":"no_consent_required",
          "authentication_required":false
        }
      ],
      "valid_from":"2023-10-04T12:53:59.000Z",
      "url":"https://www.post.ch/oauth/terms"
    }
  ]
}